org.apache.lucene.codecs.blockterms

## Class LuceneVarGapDocFreqInterval

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.blockterms.LuceneVarGapDocFreqInterval

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class LuceneVarGapDocFreqInterval
    extends PostingsFormat

Customized version of `Lucene84PostingsFormat` that uses `VariableGapTermsIndexWriter` with a fixed interval, but forcing high docfreq terms to be indexed terms.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`LuceneVarGapDocFreqInterval()`
`LuceneVarGapDocFreqInterval(int docFreqThreshold, int termIndexInterval)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FieldsConsumer` `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` `fieldsProducer(SegmentReadState state)`

### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

`availablePostingsFormats, forName, getName, reloadPostingsFormats, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LuceneVarGapDocFreqInterval

    public LuceneVarGapDocFreqInterval()

#### LuceneVarGapDocFreqInterval

    public LuceneVarGapDocFreqInterval(int docFreqThreshold,
                                       int termIndexInterval)

### Method Detail

#### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

Specified by:
  `fieldsConsumer` in class `PostingsFormat`
Throws:
  `IOException`

#### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

Specified by:
  `fieldsProducer` in class `PostingsFormat`
Throws:
  `IOException`